View Issue Details

IDProjectCategoryView StatusLast Update
0000348SCMS Service (SCMSService.exe)[All Projects] Bugpublic2016-08-14 02:30
Reporterjason 
PriorityhighSeveritycrashReproducibilityhave not tried
Status resolvedResolutionfixed 
Projectionminor fix 
Product Version2.1Product Build 
Target Version2.2Fixed in Version2.2 
Summary0000348: [SCMSService.exe v1.1.4.1] SCMS system exception when service started.
DescriptionError Number:0 Warning "system exception with message: the initilizer for scms.general.fileoperations threw an exception"
Additional Informationprevious log entry
scms service started


post log entry
soetray did not start
TagsSCMS(Level4): 988d8621
StageComplete

Activities

Jon

2015-12-20 13:04

developer   ~0001255

after restarting, service the same errors appear.

Jon

2015-12-21 12:29

developer   ~0001256

marking this issue as confirmed as the rename of soetray.exe as instructed brought about this exception.

on reviewing the code that loads soetray.exe in the SCMSService.exe, I can confirm that this will throw an exception as it attempts to load the file even if it does not exist.

Jon

2015-12-21 19:38

developer   ~0001260

Fixed in Changesets:
  - 389 (438006522458) Bug: 0000348 added error handling to tray app monitor.
  - 390 (dda964d9e0b4) Bug: 0000348 added error handling to info and data dir..

Issue History

Date Modified Username Field Change
2015-12-20 13:00 Jon New Issue
2015-12-20 13:01 Jon Reporter Jon => jason
2015-12-20 13:01 Jon Projection none => minor fix
2015-12-20 13:02 Jon Tag Attached: SCMS(Level4): 988d8621
2015-12-20 13:03 Jon Summary SCMS system exception when service started. => [SCMS.dll v1.1.23.1] SCMS system exception when service started.
2015-12-20 13:04 Jon Note Added: 0001255
2015-12-20 13:13 Jon Additional Information Updated View Revisions
2015-12-21 12:29 Jon Note Added: 0001256
2015-12-21 12:29 Jon Status new => confirmed
2015-12-21 19:20 Jon Project SCMS Library (SCMS.dll) => SCMS Service (SCMSService.exe)
2015-12-21 19:21 Jon Product Version 1.1 => 2.1
2015-12-21 19:21 Jon Target Version 1.2 => 2.2
2015-12-21 19:21 Jon Summary [SCMS.dll v1.1.23.1] SCMS system exception when service started. => [SCMSService.exe v1.1.4.1] SCMS system exception when service started.
2015-12-21 19:21 Jon Status confirmed => assigned
2015-12-21 19:38 Jon Note Added: 0001260
2015-12-21 19:38 Jon Status assigned => resolved
2015-12-21 19:38 Jon Fixed in Version => 2.2
2015-12-21 19:38 Jon Resolution open => fixed
2016-08-13 23:54 administrator Stage => Unknown
2016-08-14 02:30 administrator Stage Unknown => Complete